# Generated by Django 4.0.10 on 2023-03-24 07:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('artefacts', '0008_alter_artefactimageasset_options'),
    ]

    operations = [
        migrations.AddField(
            model_name='artefact',
            name='deleted',
            field=models.DateTimeField(db_index=True, editable=False, null=True),
        ),
        migrations.AddField(
            model_name='artefact',
            name='deleted_by_cascade',
            field=models.BooleanField(default=False, editable=False),
        ),
        migrations.CreateModel(
            name='ArtefactType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('type_name', models.CharField(max_length=225, unique=True, verbose_name='type name')),
                ('priority_order', models.IntegerField(null=True, verbose_name='priority order')),
            ],
            options={
                'unique_together': {('type_name', 'priority_order')},
            },
        ),
        migrations.AddField(
            model_name='artefact',
            name='artefact_type',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.artefacttype', verbose_name='type'),
        ),
    ]
